### Function

# GtkCustomAllocateFunc

#### Declaration

    void
    (* GtkCustomAllocateFunc) (
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to allocate a widget.

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget to allocate.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  The new width of the widget.

`height`

  Type: `int`

  The new height of the widget.

`baseline`

  Type: `int`

  The new baseline of the widget, or -1